> ## Documentation Index
> Fetch the complete documentation index at: https://docs.liquidrewardsapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Affiliate Discovery Criteria Set



## OpenAPI

````yaml https://rewardsbot-prod.liquidrewardsapi.com/openapi.discovery.json delete /v1/discovery/products/criteria-sets/{criteria_set_id}
openapi: 3.1.0
info:
  title: RewardsBot Affiliate Discovery API
  description: Affiliate discovery search, detail, and related workflows.
  version: 2.0.0
servers: []
security: []
paths:
  /v1/discovery/products/criteria-sets/{criteria_set_id}:
    delete:
      tags:
        - affiliate-discovery
      summary: Delete Affiliate Discovery Criteria Set
      operationId: >-
        delete_affiliate_discovery_criteria_set_v1_discovery_products_criteria_sets__criteria_set_id__delete
      parameters:
        - name: criteria_set_id
          in: path
          required: true
          schema:
            type: string
            pattern: ^[A-Za-z0-9][A-Za-z0-9_.-]{0,127}$
            title: Criteria Set Id
      responses:
        '204':
          description: Successful Response
        '403':
          description: Missing API key.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '503':
          description: Affiliate discovery criteria set storage is not configured.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````